1.12.2 Problème avec la mise en place de l'api forge



  • Bonjour,

    Je souhaite setup l'api forge 1.6.4-9.111.1.964, j'ai donc suivi le tutoriel disponible sur le forum mais sans succès, j'ai par la suite essayer de modifier pas mal de choses et voici mon dernier résultat que ne ressemble à aucun autres.
    Voici l'erreur affichée dans la console lors du gradlew task

    FAILURE: Build failed with an exception.
    
    * Where:
    Build file 'D:\Dev\Modding\Forge\1.6.4\Mod1\build.gradle' line: 14
    
    * What went wrong:
    A problem occurred evaluating root project 'Mod1'.
    > Plugin with id 'net.minecraftforge.gradle.forge' not found.
    
    * Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
    
    BUILD FAILED
    

    Et voici maintenant ce qu'il y a dans mon fichier build.gradle:

    buildscript {
        repositories {
            mavenCentral()
            maven {
                name = "forge"
                url = "https://files.minecraftforge.net/maven"
            }
        }
        dependencies {
            classpath 'net.minecraftforge.gradle:ForgeGradle:1.2-SNAPSHOT'
        }
    }
    
    apply plugin: 'net.minecraftforge.gradle.forge'
    
    version = "1.0"
    group= "com.yourname.modid" // http://maven.apache.org/guides/mini/guide-naming-conventions.html
    archivesBaseName = "modid"
    
    minecraft {
    	version = "1.6.4-9.11.1.964"
    }
    
    processResources
    {
        // replace stuff in mcmod.info, nothing else
        from(sourceSets.main.resources.srcDirs) {
            include 'mcmod/info'
                    
            // replace version and mcversion
            expand 'version':project.version, 'mcversion':project.minecraft.version
        }
            
        // copy everything else, thats not the mcmod.info
        from(sourceSets.main.resources.srcDirs) {
            exclude 'mcmod.info'
        }
    }
    

    Et la version de gradle est: gradle-2.14

    Je sais que j'utilise une vieille version mais je ne peux pas faire autrement.
    J'espère que vous saurez m'aider ^^


  • Moddeurs confirmés Rédacteurs Administrateurs

    Bonjour,
    Le setup de cette ancienne version ne semble plus fonctionner et je n'ai aucune idée de si un correctif existe.
    Minecraftforge.net ne fait de toute façon plus de support pour cette version, nous non plus ...


Log in to reply